#version 330 core
layout (location = 0) in vec3 pos;
layout (location = 1) in vec3 col;

out vec3 VertexColor;

uniform mat4 Perspective;
uniform mat4 Projection;

void main() {
    gl_Position = Perspective * Projection * vec4(pos, 1.0);
    VertexColor = col;
}