#version 330 core
layout (location = 0) in vec3 pos;

uniform mat4 Perspective;
uniform mat4 Projection;
uniform float PointSize;

void main() {
    gl_Position = Perspective * Projection * vec4(pos, 1.0);
    gl_PointSize = PointSize;
}